Accessibility

Security bulletin

Security Updates available for Adobe Reader and Acrobat 7 and 8

Release date: May 6, 2008

Vulnerability identifier: APSB08-13

CVE number: CVE-2008-0667, CVE-2007-5666, CVE-2007-5659, CVE-2007-5663, CVE-2008-0726, CVE-2008-0655, CVE-2008-2042, CVE-2007-4768

Platform: All Platforms

Affected software versions: Adobe Reader 8.1.1 and earlier versions Adobe Acrobat Professional, 3D and Standard 8.1.1 and earlier versions.

Summary

Critical vulnerabilities have been identified in Adobe Reader and Acrobat 8.1.1 and earlier versions. These vulnerabilities would cause the application to crash and could potentially allow an attacker to take control of the affected system.

Adobe recommends users of Acrobat 8 and Adobe Reader install the 8.1.2 update and users of Acrobat 7 install the 7.1.0 update to protect themselves from potential vulnerabilities. This is an update to resolve the issues previously reported in Security Advisory APSA08-01.

Solution

Acrobat 8 and Adobe Reader

Adobe recommends Adobe Reader 7 and 8 users update to Adobe Reader 8.1.2, available here: http://www.adobe.com/go/getreader.

Adobe recommends Acrobat 8 users on Windows update to Acrobat 8.1.2, available here: http://www.adobe.com/support/downloads/detail.jsp?ftpID=3849.

Adobe recommends Acrobat 8 users on Macintosh update to Acrobat 8.1.2, available here: http://www.adobe.com/support/downloads/detail.jsp?ftpID=3856.

Adobe recommends Acrobat 3D version 8 users on Windows update to Acrobat 3D version 8.1.2, available here: http://www.adobe.com/support/downloads/detail.jsp?ftpID=3850.

Users with Adobe Reader 7.0 through 7.0.9, who cannot upgrade to Reader 8.1.2, should upgrade to Reader 7.1.0: http://www.adobe.com/go/getreader.

Acrobat 7

Adobe recommends Acrobat 7 users on Windows update to Acrobat 7.1.0, available here: http://www.adobe.com/support/downloads/product.jsp?product=1&platform=Windows.

Adobe recommends Acrobat 7 users on Macintosh update to Acrobat 7.1.0, available here: http://www.adobe.com/support/downloads/product.jsp?product=1&platform=Macintosh.

Details

Critical vulnerabilities have been identified in Adobe Reader and Acrobat 8.1.1 and earlier versions. These vulnerabilities would cause the application to crash and could potentially allow an attacker to take control of the affected system.

Adobe recommends users of Acrobat and Adobe Reader update their product installations using the instructions above to protect themselves from potential vulnerabilities.

This update resolves an input validation issue in several JavaScript methods that could potentially lead to remote code execution. (CVE-2007-5659)
NOTE: There are reports that this issue is being exploited.

This update resolves an input validation issue in that could potentially lead to remote code execution. (CVE-2007-4768)

The Acrobat 7.1.0 update resolves an input validation issue in a JavaScript method that could potentially lead to remote code execution. (CVE-2008-2042)

The Acrobat 7.1.0 and Acrobat 8.1.2 updates resolve an input validation issue in that could potentially lead to code execution.

This update resolves an issue with an insecure JavaScript method that could potentially lead to remote code execution. (CVE-2007-5663)

This update resolves an integer overflow issue in a JavaScript function that could potentially allow remote code execution. (CVE-2008-0726)

This update resolves a design flaw which could allow a specially crafted file to be printed silently an arbitrary number of times. (CVE-2008-0655)

This update resolves an issue that could allow a local user to execute arbitrary code by overwriting a local file. (CVE-2007-5666)

Severity rating

Adobe categorizes this as an critical issue and recommends that users apply the update for their product installations.

Acknowledgments

Adobe would like to thank the following individuals and organizations for reporting the relevant issues and for working with Adobe to help protect our customers' security:

Adobe Disclaimer

License agreement

By using software of Adobe Systems Incorporated or its subsidiaries ("Adobe"); you agree to the following terms and conditions. If you do not agree with such terms and conditions; do not use the software. The terms of an end user license agreement accompanying a particular software file upon installation or download of the software shall supersede the terms presented below.

The export and re-export of Adobe software products are controlled by the United States Export Administration Regulations and such software may not be exported or re-exported to Cuba; Iran; Iraq; Libya; North Korea; Sudan; or Syria or any country to which the United States embargoes goods. In addition; Adobe software may not be distributed to persons on the Table of Denial Orders; the Entity List; or the List of Specially Designated Nationals.

By downloading or using an Adobe software product you are certifying that you are not a national of Cuba; Iran; Iraq; Libya; North Korea; Sudan; or Syria or any country to which the United States embargoes goods and that you are not a person on the Table of Denial Orders; the Entity List; or the List of Specially Designated Nationals.

If the software is designed for use with an application software product (the "Host Application") published by Adobe; Adobe grants you a non-exclusive license to use such software with the Host Application only; provided you possess a valid license from Adobe for the Host Application. Except as set forth below; such software is licensed to you subject to the terms and conditions of the End User License Agreement from Adobe governing your use of the Host Application.

DISCLAIMER OF WARRANTIES: YOU AGREE THAT ADOBE HAS MADE NO EXPRESS WARRANTIES TO YOU REGARDING THE SOFTWARE AND THAT THE SOFTWARE IS BEING PROVIDED TO YOU "AS IS" WITHOUT WARRANTY OF ANY KIND. ADOBE DISCLAIMS ALL WARRANTIES WITH REGARD TO THE SOFTWARE; EXPRESS OR IMPLIED; INCLUDING; WITHOUT LIMITATION; ANY IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR PURPOSE; MERCHANTABILITY; MERCHANTABLE QUALITY OR NONINFRINGEMENT OF THIRD PARTY RIGHTS. Some states or jurisdictions do not allow the exclusion of implied warranties; so the above limitations may not apply to you.

LIMIT OF LIABILITY: IN NO EVENT WILL ADOBE BE LIABLE TO YOU FOR ANY LOSS OF USE; INTERRUPTION OF BUSINESS; OR ANY DIRECT; INDIRECT; SPECIAL; INCIDENTAL; OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING LOST PROFITS) REGARDLESS OF THE FORM OF ACTION WHETHER IN CONTRACT; TORT (INCLUDING NEGLIGENCE); STRICT PRODUCT LIABILITY OR OTHERWISE; EVEN IF ADOBE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. Some states or jurisdictions do not allow the exclusion or limitation of incidental or consequential damages; so the above limitation or exclusion may not apply to you.